API
Recherche Google API
The AI-powered Google provides 360° Global Media Data & Intelligence on Google Search, Google News, advertisers, SEO professionals, and content discoverability teams.
Documentation API Version: 1.0.0 6 Endpoints Authentification
URL de base
https://pressmonitor.co.in/api Authentification
Toutes les requetes necessitent les en-tetes x-api-key et x-subscription-id. x-api-key authentifie votre compte ; x-subscription-id selectionne le service souscrit.
x-api-key: YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID GET
/google_autocomplete Google Search Autocomplétion
Paramètres
| Nom | Type | Emplacement | Obligatoire | Description |
|---|---|---|---|---|
| text | string | query | Oui | Texte de la requête |
Exemples de code
curl -X GET \
"https://pressmonitor.co.in/api/google_autocomplete?text=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" Réponses
200 Succès
GET
/google_search_web Google Search Recherche Web
Paramètres
| Nom | Type | Emplacement | Obligatoire | Description |
|---|---|---|---|---|
| text | string | query | Oui | Texte de la requête |
| region | string | query | Non | Région |
| safesearch | string | query | Non | Filtre SafeSearch |
| timelimit | string | query | Non | Limite de temps |
| max_results | integer | query | Non | Nombre maximal de résultats |
Exemples de code
curl -X GET \
"https://pressmonitor.co.in/api/google_search_web?text=VALUE®ion=VALUE&safesearch=VALUE&timelimit=VALUE&max_results=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" Réponses
200 Succès
GET
/google_search_news Google Search Recherche Actualités
Paramètres
| Nom | Type | Emplacement | Obligatoire | Description |
|---|---|---|---|---|
| text | string | query | Oui | Texte de la requête |
| region | string | query | Non | Région |
| max_results | integer | query | Non | Nombre maximal de résultats |
Exemples de code
curl -X GET \
"https://pressmonitor.co.in/api/google_search_news?text=VALUE®ion=VALUE&max_results=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" Réponses
200 Succès
GET
/google_search_images Google Search Recherche Images
Paramètres
| Nom | Type | Emplacement | Obligatoire | Description |
|---|---|---|---|---|
| text | string | query | Oui | Texte de la requête |
| region | string | query | Non | Région |
| safesearch | string | query | Non | Filtre SafeSearch |
| timelimit | string | query | Non | Limite de temps |
| max_results | integer | query | Non | Nombre maximal de résultats |
| color | string | query | Non | Color |
| size | string | query | Non | Size |
| image_type | string | query | Non | Image type |
| layout | string | query | Non | Layout |
Exemples de code
curl -X GET \
"https://pressmonitor.co.in/api/google_search_images?text=VALUE®ion=VALUE&safesearch=VALUE&timelimit=VALUE&max_results=VALUE&color=VALUE&size=VALUE&image_type=VALUE&layout=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" Réponses
200 Succès
GET
/google_search_videos Google Search Recherche Vidéos
Paramètres
| Nom | Type | Emplacement | Obligatoire | Description |
|---|---|---|---|---|
| text | string | query | Oui | Texte de la requête |
| region | string | query | Non | Région |
| safesearch | string | query | Non | Filtre SafeSearch |
| timelimit | string | query | Non | Limite de temps |
| max_results | integer | query | Non | Nombre maximal de résultats |
| resolution | string | query | Non | Resolution |
| duration | string | query | Non | Duration |
Exemples de code
curl -X GET \
"https://pressmonitor.co.in/api/google_search_videos?text=VALUE®ion=VALUE&safesearch=VALUE&timelimit=VALUE&max_results=VALUE&resolution=VALUE&duration=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" Réponses
200 Succès
GET
/google_search_maps Google Search Recherche Cartes
Paramètres
| Nom | Type | Emplacement | Obligatoire | Description |
|---|---|---|---|---|
| text | string | query | Oui | Texte de la requête |
| place | string | query | Non | Place |
| street | string | query | Non | Street |
| city | string | query | Non | Ville |
| state | string | query | Non | État |
| country | string | query | Non | Code pays |
| postalcode | string | query | Non | Postalcode |
| latitude | string | query | Non | Latitude |
| longitude | string | query | Non | Longitude |
| radius | string | query | Non | Radius |
Exemples de code
curl -X GET \
"https://pressmonitor.co.in/api/google_search_maps?text=VALUE&place=VALUE&street=VALUE&city=VALUE&state=VALUE&country=VALUE&postalcode=VALUE&latitude=VALUE&longitude=VALUE&radius=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" Réponses
200 Succès
